%define apache_version 2.0.54
%define libsvn %mklibname svn 0
%define jdk_path %{_prefix}/lib/jvm/java-1.4.2-gcj
%define java_includes %_includedir/libgcj

%define build_python 1
%{?_without_python: %{expand: %%global build_python 0}}

%define build_ruby 1
%{?_without_ruby: %{expand: %%global build_ruby 0}}

%define build_java 0
%{?_with_java: %{expand: %%global build_java 1}}

%define build_perl 1
%{?_without_perl: %{expand: %%global build_perl 0}}

%define build_test 0
%{?_with_test: %{expand: %%global build_test 1}}

%define build_debug 0
%{?_with_debug: %{expand: %%global build_debug 1}}

Name: subversion
Version: 1.3.2
Release: %mkrel 4
Summary: A Concurrent Versioning System
License: BSD CC2.0
Group: Development/Other
URL: http://subversion.tigris.org
Source0: http://subversion.tigris.org/tarballs/%name-%version.tar.bz2
Source1: http://subversion.tigris.org/downloads/%name-%version.tar.bz2.asc
Source2: %mod_dav_conf
Source3: %mod_authz_conf
Source4: %name.bash-completion
Source5: %name-1.3.0-global-config
Source6: %name-1.3.0-global-servers
Source7: svnbook-1.1.tar.bz2
Patch0: subversion-1.1.3-java.patch
Patch1: subversion-1.3.0-rc4-fix-svn-config-multiarch.patch
Patch2: subversion-1.3.0-rc6-swig-perl.patch
Patch3: subversion-1.3.1-latest_neon_is_0.26.1.diff
BuildRequires:	autoconf2.5 >= 2.54
BuildRequires:	libtool >= 1.4.2
BuildRequires:	chrpath
BuildRequires:	python >= 2.2
BuildRequires:	texinfo
BuildRequires:	info-install
BuildRequires:	db4-devel
%if %{mdkversion} < 200610
BuildRequires:	neon-devel >= 0.24.7
%else
BuildRequires:	neon-devel >= 0.26
%endif
BuildRequires:	apache-devel >=  %{apache_version}
BuildRequires:	apr-devel >= 1.2.2
BuildRequires:	apr-util-devel >= 1.2.2
BuildRequires:	libxslt-proc
BuildRequires:	docbook-style-xsl
BuildRequires:	swig-devel >= 1.3.27
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
# Obsoletes - kill all non sys build library packages
# Just server and client need some libraries and we need just one
# main ( client ) and one server package, as well bindings and doc packages
Obsoletes: %name-client-tools < 1.2.3-4mdk
Obsoletes: %name-repos < 1.2.3-4mdk
Obsoletes: %{_lib}svn_client1_0 < 1.2.3-4mdk
Obsoletes: %{_lib}svn_ra_dav1_0 < 1.2.3-4mdk
Obsoletes: %{_lib}svn_ra_local1_0 < 1.2.3-4mdk
Obsoletes: %{_lib}svn_ra_svn1_0 < 1.2.3-4mdk
Obsoletes: %{_lib}svn_delta1_0 < 1.2.3-4mdk
Obsoletes: %{_lib}svn_diff1_0 < 1.2.3-4mdk
Obsoletes: %{_lib}svn_repos1_0 < 1.2.3-4mdk
Obsoletes: %{_lib}svn_subr1_0 < 1.2.3-4mdk
Obsoletes: %{_lib}svn_fs_fs1_0 < 1.2.3-4mdk
Obsoletes: %{_lib}svn_fs_base1_0 < 1.2.3-4mdk
Conflicts: %name-server < 1.2.3-4mdk
Conflicts: %{libsvn} < 1.3.0-2mdk
Provides: %name-ra-method = %version-%{release}
Provides: %name-client-tools = %version-%{release}
BuildRoot: %{_tmppath}/%name-%version

%description
Subversion is a concurrent version control system which enables one or more
users to collaborate in developing and maintaining a hierarchy of files and
directories while keeping a history of all changes.  Subversion only stores the
differences between versions, instead of every complete file.  Subversion also
keeps a log of who, when, and why changes occured.
As such it basically does the same thing CVS does (Concurrent Versioning
System) but has major enhancements compared to CVS and fixes a lot of the
annoyances that CVS users face.
This package contains the client, if you're looking for the server end
of things you want %name-repos. 

%files 
%defattr(-,root,root)
%_bindir/svn
%_bindir/svnversion
%_bindir/showchange*
%_bindir/search-svnlog*
%_bindir/svn_all_diffs*
%_bindir/svn_load_dirs*
%_bindir/svn-log*
%_bindir/svnlook
%_sysconfdir/bash_completion.d/%name
%_datadir/locale/*/*/*
%_datadir/emacs/site-lisp/psvn.el
%_mandir/man1/svn.*
%_mandir/man1/svnlook.*
%_mandir/man1/svnversion.*
%dir %_datadir/subversion-%{version}
%if %mdkversion <= 910
    # Already included in vim-common on 9.2 and newer.
    %_datadir/vim/syntax/svn.vim
%endif

#--------------------------------------------------------------------------

%package	doc
Summary:	Subversion Documenation
Group:		Development/Other

%description	doc
Subversion is a concurrent version control system which enables
one or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes. Subversion only stores the differences between versions,
instead of every complete file. Subversion also keeps a log of
who, when, and why changes occured.
As such it basically does the same thing CVS does (Concurrent
Versioning System) but has major enhancements compared to CVS and
fixes a lot of the annoyances that CVS users face.
This package contains the subversion book and design info files.

%post doc
%_install_info svn-design.info
%_install_info svn-handbook.info

%postun doc
%_install_info svn-design.info
%_install_info svn-handbook.info

%files doc
%defattr(0644,root,root,755)
%doc svnbook-1.1
%doc doc/user/*.html
%doc doc/user/*.txt
%attr(0644,root,root) %{_infodir}/*

#--------------------------------------------------------------------------

%package	-n %libsvn
Summary:	Subversion libraries
Group:		System/Libraries
Conflicts:	subversion < 1.3.0-2mdk 

%description -n %libsvn
Subversion common libraries

%post -n %libsvn -p /sbin/ldconfig
%postun -n %libsvn -p /sbin/ldconfig

%files -n %libsvn
%defattr(-,root,root)
# list all ra libs to make sure we don't miss any
# in a bogus build
%_libdir/libsvn_ra-1.so.*
%_libdir/libsvn_ra_dav-1.so.*
%_libdir/libsvn_ra_local-1.so.*
%_libdir/libsvn_ra_svn-1.so.*
%_libdir/libsvn_client*so.*
%_libdir/libsvn_wc-*so.*
%_libdir/libsvn_delta-*so.*
%_libdir/libsvn_subr-*so.*
%_libdir/libsvn_diff-*so.*
%_libdir/libsvn_fs*.so.*
%_libdir/libsvn_repos-*.so.*
%config(noreplace) %_sysconfdir/subversion/*

#--------------------------------------------------------------------------

%package	server
Summary:	Subversion Server
Group:		System/Servers
Requires: %name = %version-%{release}
Requires(pre,postun): rpm-helper
Requires: xinetd

%description server
This package contains a myriad of server for subversion server
and repository admins:
  * hot-backup makes a backup of a svn repo without stopping
  * mirror_dir_through_svn.cgi 
  * various hook scripts
  * xslt example 

Note that cvs2svn has moved out of subversion and is a separate
project.  It has not released its own package yet, but you can
find it at http://cvs2svn.tigris.org/

%pre server
%_pre_useradd svn %{_localstatedir}/svn /bin/false

%post server
# Libraries for REPOS ( Repository ) and FS ( filesystem backends ) are in
# server now, so we need a ldconfig
/sbin/ldconfig
# this logic was taken from the distcc package
# check that /etc/services has been already patched with svnserve port
CHECK_PORT=`grep -E '^svn(serve)?[[:blank:]]+' %_sysconfdir/services`
if [ -z "$CHECK_PORT" ]; then
    echo "# svnserve ports added by %name-server" >> %_sysconfdir/services
    echo -e "svnserve\t3690/tcp\t\t\t# Subversion svnserve" >> %_sysconfdir/services
    echo -e "svnserve\t3690/udp\t\t\t# Subversion svnserve" >> %_sysconfdir/services
fi

# restarting xinetd service
service xinetd condrestart

%postun server
%_postun_userdel svn
# restarting xinetd service
service xinetd condrestart
/sbin/ldconfig

%files server
%defattr(-,root,root)
%doc BUGS CHANGES COMMITTERS COPYING HACKING INSTALL README
%doc notes/repos_upgrade_HOWTO
%_bindir/svnserve
%_bindir/server-vsn*
%config(noreplace) %_sysconfdir/xinetd.d/svnserve
%attr(0770,svn,svn) %{_localstatedir}/svn
%_mandir/man8/svnserve.8*
%_mandir/man5/svnserve.conf.5*

#--------------------------------------------------------------------------

%package	tools
Summary:	Subversion Repo/Server Tools
Group: Development/Other
Requires: %name = %version-%{release}
Conflicts: %name-server < 1.2.3-4mdk
Obsoletes: %name-repo-tools < 1.2.3-4mdk

%description tools
This package contains a myriad of tools for subversion server
and repository admins:
  * hot-backup makes a backup of a svn repo without stopping
  * mirror_dir_through_svn.cgi 
  * various hook scripts
  * xslt example 

Note that cvs2svn has moved out of subversion and is a separate
project.  It has not released its own package yet, but you can
find it at http://cvs2svn.tigris.org/

%files tools
%defattr(-,root,root)
%_bindir/hot-backup*
%_bindir/svnadmin
%_bindir/svndumpfilter
%_mandir/man1/svnadmin.1*
%_mandir/man1/svndumpfilter.1*
%_datadir/%name-%version/repo-tools

#--------------------------------------------------------------------------

%if %{build_python}

%package -n	python-svn
Summary:	Python bindings for Subversion
Group: Development/Other
%py_requires -d
Provides: python-subversion = %version-%{release}
Requires: python

%description -n python-svn
This package contains the files necessary to use the subversion
library functions within python scripts.

%files -n python-svn
%defattr(-,root,root)
%_libdir/libsvn_swig_py*.so.*
%{py_sitedir}/svn
%{py_platsitedir}/libsvn
%doc %attr(0644,root,root) tools/examples/*.py subversion/bindings/swig/INSTALL subversion/bindings/swig/NOTES


%package -n	python-svn-devel
Summary:	Python bindings for Subversion, development files
Group: Development/Other
Requires: python-svn = %version-%{release}
Obsoletes: python-svn-static-devel < 1.2.3-4mdk
Provides: python-subversion-devel = %version-%{release}

%description -n python-svn-devel
This package contains the .la files for the python bindings for
subversion.  It's likely nobody will ever need these.

%files -n python-svn-devel
%defattr(-,root,root)
%_libdir/libsvn_swig_py*.so

%endif

#--------------------------------------------------------------------------

%if %{build_ruby}

%package -n	ruby-svn
Summary:	Ruby bindings for Subversion
Group: Development/Other
BuildPreReq: ruby-devel
Requires: ruby
Provides: ruby-subversion = %version-%{release}

%description -n	ruby-svn
This package contains the files necessary to use the subversion
library functions within ruby scripts.

%package -n	ruby-svn-devel
Summary:	Ruby bindings for Subversion, development libraries
Group: Development/Other

%description -n	ruby-svn-devel
This package contains the .la files for the ruby bindings for
subversion.  It's likely nobody will ever need these.

%files -n ruby-svn
%defattr(-,root,root)
%_libdir/ruby/site_ruby/*/*/*/*/*.so
%_libdir/ruby/site_ruby/*/*/*.rb
%_libdir/libsvn_swig_ruby*.so.*

%files -n ruby-svn-devel
%defattr(-,root,root)
%_libdir/ruby/site_ruby/*/*/*/*/*.la
%_libdir/libsvn_swig_ruby*.so

%endif

#--------------------------------------------------------------------------

%if %{build_java}

%package -n	java-svn
Summary:	java bindings for Subversion
Group:		Development/Other
BuildPreReq: java-1.4.2-gcj-compat
BuildPreReq: java-1.4.2-gcj-compat-devel
Requires:	java
Provides:	java-subversion = %version-%{release}
Requires:	%name = %version-%{release}

%description -n	java-svn
This package contains the files necessary to use the subversion
library functions within java scripts.

%files -n java-svn
%defattr(-,root,root)
%_libdir/libsvnjavahl-1.*
%_libdir/svn-javahl

%endif

#--------------------------------------------------------------------------

%if %{build_perl}

%package -n perl-SVN
Summary:	Perl bindings for Subversion
Group:		Development/Perl
BuildPreReq: perl-devel
Requires:	%name = %version-%{release}
Obsoletes:	perl-svn
Provides:	perl-svn = %version-%{release}

%description -n perl-SVN
This package contains the files necessary to use the subversion
library functions within perl scripts.

%files -n perl-SVN
%defattr(-,root,root)
%doc subversion/bindings/swig/INSTALL subversion/bindings/swig/NOTES
%_libdir/libsvn_swig_perl*.so.*
%{perl_vendorarch}/SVN
%{perl_vendorarch}/auto/SVN
%_mandir/man3/SVN::*.3*

%package -n	perl-SVN-devel
Summary:	Perl bindings for Subversion, development files 
Group:		Development/Other
Requires:	perl-SVN = %version-%{release}
Obsoletes:	perl-svn-devel

%description -n perl-SVN-devel
This package contains the .so files for the perl bindings for
subversion.  It's likely nobody will ever need these.

%files -n perl-SVN-devel
%defattr(-,root,root)
%_libdir/libsvn_swig_perl*.so

%endif

#----------------------------------------------------------------

%package devel
Summary:	Subversion headers/libraries for development
Group:		Development/Other
Provides:	%{_lib}svn-devel = %version-%{release}
Obsoletes:	libsubversion1_0-devel < 1.2.3-4mdk
Obsoletes:	libsubversion1_0-static-devel < 1.2.3-4mdk
Requires: %libsvn = %version-%release

%description devel
This package contains the header files and linker scripts for
subversion libraries.

%files devel
%defattr(-,root,root)
%doc tools/examples/minimal_client.c
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/svn-config
%endif
%_bindir/svn-config
%_libdir/libsvn*.la
%_includedir/subversion*/*
%_libdir/libsvn_*.so

#----------------------------------------------------------------

%define mod_version  %{apache_version}_%version
%define mod_dav_name mod_dav_svn
%define mod_dav_conf 46_%{mod_dav_name}.conf
%define mod_dav_so %{mod_dav_name}.so
%define mod_authz_name mod_authz_svn
%define mod_authz_conf 47_%{mod_authz_name}.conf
%define mod_authz_so %{mod_authz_name}.so

%package -n	apache-mod_dav_svn
Summary:	Subversion server DSO module for apache
Group:		System/Servers
Epoch:		1
Requires:	%name-server = %version-%{release}
Requires(pre,postun): rpm-helper
Requires(pre):	apache-conf >= %{apache_version}
Requires(pre):	apache >= %{apache_version}
Requires(pre):	apache-mod_dav >= %{apache_version}
Provides:	apache2-%{mod_dav_name} = %{mod_version}
Obsoletes:	apache2-mod_dav_svn
Obsoletes:	apache-mod_authz_svn

%description -n apache-mod_dav_svn
Subversion is a concurrent version control system which enables
one or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes. Subversion only stores the differences between versions,
instead of every complete file. Subversion also keeps a log of
who, when, and why changes occured.

As such it basically does the same thing CVS does (Concurrent
Versioning System) but has major enhancements compared to CVS and
fixes a lot of the annoyances that CVS users face.

This package contains the apache server extension DSO for running
a subversion server.

%post -n apache-mod_dav_svn
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun -n apache-mod_dav_svn
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%files -n apache-mod_dav_svn
%defattr(-,root,root)
%doc subversion/%{mod_authz_name}/INSTALL
%attr(0644,root,root) %config(noreplace) %_sysconfdir/httpd/modules.d/%{mod_dav_conf}
%attr(0644,root,root) %config(noreplace) %_sysconfdir/httpd/modules.d/%{mod_authz_conf}
%attr(0755,root,root) %_libdir/apache-extramodules/%{mod_dav_so}
%attr(0755,root,root) %_libdir/apache-extramodules/%{mod_authz_so}
%attr(0644,root,root) %{_var}/www/icons/subversion.png

#--------------------------------------------------------------------------

%prep
%setup -q -n %name-%version -a 7
%if %{build_java}
%patch0 -p1 -b .java
%endif
%if %mdkversion >= 1020
%patch1 -p1 -b .fix_svn-config_multiarch
%endif
%patch2 -p1 -b .perlswig
%patch3 -p1 -b .latest_neon_is_0.26.1

rm -rf neon apr apr-util db4

# fix shellbang lines, #111498
perl -pi -e 's|/usr/bin/env perl -w|/usr/bin/perl -w|' tools/hook-scripts/*.pl.in

# fix file perms
chmod 644 BUGS CHANGES COMMITTERS COPYING HACKING INSTALL README

%build
./autogen.sh

export CFLAGS="-fPIC -I%{java_includes}"
export CXXFLAGS="-fPIC -I%{java_includes}"
# override weird -shrext from ruby ( from Fedora )
export svn_cv_ruby_link="%{__cc} -shared"

# both versions could be installed, use the latest one per default
if [ -x %{_bindir}/apr-config ]; then APR=%{_bindir}/apr-config; fi
if [ -x %{_bindir}/apu-config ]; then APU=%{_bindir}/apu-config; fi

if [ -x %{_bindir}/apr-1-config ]; then APR=%{_bindir}/apr-1-config; fi
if [ -x %{_bindir}/apu-1-config ]; then APU=%{_bindir}/apu-1-config; fi

./configure \
   --prefix=%{_prefix} \
   --sysconfdir=%_sysconfdir \
   --datadir=%_datadir \
   --libdir=%_libdir \
   --localstatedir=%{_localstatedir} \
   --mandir=%_mandir \
   --with-apxs=%{_sbindir}/apxs \
   --with-apr=$APR \
   --with-apr-util=$APU \
   --disable-mod-activation \
   --with-swig=%{_prefix} \
   --disable-static \
%if %{build_debug}
   --enable-maintainer-mode \
   --enable-debug \
%endif
%if %{build_ruby}
   --with-ruby-sitedir=%_libdir/ruby/site_ruby \
%endif
%if %{build_java}
   --with-jdk=%{jdk_path} \
%endif
   --enable-shared 

# put the apache modules in the correct place
perl -pi -e "s|%_libdir/apache|%_libdir/apache-extramodules|g" Makefile subversion/mod_authz_svn/*la subversion/mod_dav_svn/*la

%make all

%if %{build_python}
make swig-py swig_pydir=%{py_platsitedir}/libsvn swig_pydir_extra=%{py_sitedir}/svn
%endif

%if %{build_perl}
make swig-pl
%endif

%if %{build_ruby}
make swig-rb
%endif

%if %{build_java}
make javahl
%endif

pushd doc
# the perl script works around a bug in the html-stylesheet.xsl
%{__perl} -pi -e 's#href="xsl/(html/docbook.xsl)"#href="%_datadir/sgml/docbook/xsl-stylesheets/$1"#;' tools/html-stylesheet.xsl
%{__perl} -pi -e 's#href="xsl/(html/chunk.xsl)"#href="%_datadir/sgml/docbook/xsl-stylesheets/$1"#;' tools/chunk-stylesheet.xsl
%{__perl} -pi -e 's#href="xsl/(fo/docbook.xsl)"#href="%_datadir/sgml/docbook/xsl-stylesheets/$1"#;' tools/fo-stylesheet.xsl
%make all-html
popd

%install
rm -rf %buildroot

%if %{build_test}
echo "###########################################################################"
echo "This can take quite some time to finish, so please be patient..."
echo "Don't be too surprised it the tests takes 30 minutes on a dual xeon machine..."
make LD_LIBRARY_PATH="`pwd`/subversion/bindings/swig/perl/libsvn_swig_perl/.libs:`pwd`/subversion/bindings/swig/python/libsvn_swig_py/.libs:\
`pwd`/subversion/bindings/swig/python/.libs:`pwd`/subversion/libsvn_ra_local/.libs:`pwd`/subversion/svnadmin/.libs:\
`pwd`/subversion/tests/libsvn_ra_local/.libs:`pwd`/subversion/tests/libsvn_fs/.libs:`pwd`/subversion/tests/libsvn_wc/.libs:\
`pwd`/subversion/tests/libsvn_fs_base/.libs:`pwd`/subversion/tests/libsvn_diff/.libs:`pwd`/subversion/tests/libsvn_subr/.libs:\
`pwd`/subversion/tests/libsvn_delta/.libs:`pwd`/subversion/tests/libsvn_repos/.libs:`pwd`/subversion/tests/.libs:\
`pwd`/subversion/svnserve/.libs:`pwd`/subversion/libsvn_fs/.libs:`pwd`/subversion/libsvn_ra/.libs:`pwd`/subversion/libsvn_wc/.libs:\
`pwd`/subversion/mod_dav_svn/.libs:`pwd`/subversion/mod_authz_svn/.libs:`pwd`/subversion/svnlook/.libs:`pwd`/subversion/svndumpfilter/.libs:\
`pwd`/subversion/libsvn_client/.libs:`pwd`/subversion/libsvn_fs_base/bdb/.libs:`pwd`/subversion/libsvn_fs_base/util/.libs:\
`pwd`/subversion/libsvn_fs_base/.libs:`pwd`/subversion/libsvn_diff/.libs:`pwd`/subversion/libsvn_subr/.libs:`pwd`/subversion/svnversion/.libs:\
`pwd`/subversion/libsvn_ra_dav/.libs:`pwd`/subversion/libsvn_ra_svn/.libs:`pwd`/subversion/libsvn_delta/.libs:`pwd`/subversion/libsvn_fs_fs/.libs:\
`pwd`/subversion/libsvn_repos/.libs:`pwd`/subversion/clients/cmdline/.libs:$LD_LIBRARY_PATH" check
%endif

%makeinstall_std

%if %{build_python}
%makeinstall_std install-swig-py swig_pydir=%{py_platsitedir}/libsvn swig_pydir_extra=%{py_sitedir}/svn
# Precompile python 
%py_compile %buildroot/%{py_platsitedir}/libsvn
%py_compile %buildroot/%{py_sitedir}/svn

%endif
%if %{build_perl}
%makeinstall_std install-swig-pl-lib
%endif
%if %{build_ruby}
%makeinstall_std install-swig-rb
%endif
%if %{build_java}
%makeinstall_std install-javahl
%endif

%if %{build_perl}
# perl bindings
make pure_vendor_install -C subversion/bindings/swig/perl/native DESTDIR=%buildroot
%endif


# The install isn't installing the info files now, I tried patching the 
# Makefile to get it to and couldn't get it to work.  So I give up and
# did it myself.  Maybe they'll fix it sometime in the future.
install -d %buildroot%{_infodir}
install -m644 doc/programmer/design/svn-design.info %buildroot%{_infodir}
[ -r doc/programmer/design/svn-design.info-1 ] && install -m644 doc/programmer/design/svn-design.info-1 %buildroot%{_infodir}
[ -r doc/programmer/design/svn-design.info-2 ] && install -m644 doc/programmer/design/svn-design.info-2 %buildroot%{_infodir}
[ -r doc/programmer/design/svn-design.info-3 ] && install -m644 doc/programmer/design/svn-design.info-3 %buildroot%{_infodir}

install -d %buildroot%_sysconfdir/httpd/modules.d
cat %{SOURCE2} > %buildroot%_sysconfdir/httpd/modules.d/%{mod_dav_conf}
cat %{SOURCE3} > %buildroot%_sysconfdir/httpd/modules.d/%{mod_authz_conf}

######################
###  client-tools  ###
######################

# vim syntax hilighting
%if %mdkversion <= 910
    # Already included in vim-common on 9.2 and newer.
    install -d -m 755 %buildroot/%_datadir/vim/syntax
    install -m 644 contrib/client-side/svn.vim %buildroot/%_datadir/vim/syntax
%endif

# emacs psvn interface
install -d -m 755 %buildroot/%_datadir/emacs/site-lisp
install -m 644 contrib/client-side/psvn/psvn.el %buildroot/%_datadir/emacs/site-lisp

# various commands
install -m 755 contrib/client-side/search-svnlog.pl %buildroot%_bindir
(cd  %buildroot/%_bindir; ln -sf  search-svnlog.pl search-svnlog)
install -m 755 contrib/client-side/svn_all_diffs.pl %buildroot%_bindir
(cd  %buildroot/%_bindir; ln -sf  svn_all_diffs.pl svn_all_diffs)
install -m 755 contrib/client-side/svn_load_dirs.pl %buildroot%_bindir
(cd  %buildroot/%_bindir; ln -sf  svn_load_dirs.pl svn_load_dirs)
install -m 755 contrib/client-side/svn-log.pl %buildroot%_bindir
(cd  %buildroot/%_bindir; ln -sf  svn-log.pl svn-log)
install -m 755 tools/client-side/server-vsn.py %buildroot%_bindir
(cd  %buildroot/%_bindir; ln -sf  server-vsn.py server-vsn)
install -m 755 tools/client-side/showchange.pl %buildroot%_bindir
(cd  %buildroot/%_bindir; ln -sf  showchange.pl showchange)

# bash completion
install -d -m 755 %buildroot%_sysconfdir/bash_completion.d
install -m 644 %SOURCE4 %buildroot%_sysconfdir/bash_completion.d/%name

# Global configs
install -d -m 755 %buildroot%_sysconfdir/subversion
install -m 644 %SOURCE5 %buildroot%_sysconfdir/subversion/config
install -m 644 %SOURCE6 %buildroot%_sysconfdir/subversion/servers

####################
###  repo-tools  ###
####################

# hotbackup tool
install -m 755 tools/backup/hot-backup.py %buildroot%_bindir
(cd %buildroot%_bindir; ln -sf  hot-backup.py hot-backup)

# hook-scripts
install -d -m755 %buildroot%_datadir/%name-%version/repo-tools/hook-scripts
pushd tools/hook-scripts
install -m 644 commit-access-control.cfg.example %buildroot/%_datadir/%name-%version/repo-tools/hook-scripts
install -m 755 commit-access-control.pl %buildroot/%_datadir/%name-%version/repo-tools/hook-scripts
install -m 755 commit-email.pl %buildroot/%_datadir/%name-%version/repo-tools/hook-scripts
install -m 755 propchange-email.pl %buildroot/%_datadir/%name-%version/repo-tools/hook-scripts
install -m 644 svnperms.conf.example %buildroot/%_datadir/%name-%version/repo-tools/hook-scripts
install -m 755 svnperms.py %buildroot/%_datadir/%name-%version/repo-tools/hook-scripts
install -m 755 mailer/mailer.py %buildroot/%_datadir/%name-%version/repo-tools/hook-scripts
install -m 644 mailer/mailer.conf.example %buildroot/%_datadir/%name-%version/repo-tools/hook-scripts
install -m 644 README %buildroot/%_datadir/%name-%version/repo-tools/hook-scripts
popd

#xslt
install -d -m755 %buildroot%_datadir/%name-%version/repo-tools/xslt
install -m 644 tools/xslt/svnindex.css %buildroot%_datadir/%name-%version/repo-tools/xslt
install -m 644 tools/xslt/svnindex.xsl %buildroot%_datadir/%name-%version/repo-tools/xslt

#cgi
install -d -m755 %buildroot%_datadir/%name-%version/repo-tools/cgi
install -m 755 contrib/cgi/mirror_dir_through_svn.cgi %buildroot%_datadir/%name-%version/repo-tools/cgi
install -m 644 contrib/cgi/mirror_dir_through_svn.README %buildroot%_datadir/%name-%version/repo-tools/cgi
install -m 755 contrib/cgi/tweak-log.cgi %buildroot%_datadir/%name-%version/repo-tools/cgi

# install a nice icon for web usage
install -d %buildroot/var/www/icons
install -m644 notes/logo/256-colour/subversion_logo_hor-237x32.png %buildroot/var/www/icons/subversion.png

# fix a missing file...
ln -sf libsvn_diff-1.so.0.0.0 %buildroot%_libdir/libsvn_diff.so

# install svn-config
perl -pi -e "s|\@SVN_DB_LIBS\@|-ldb|g" svn-config
perl -pi -e "s|\@SVN_DB_INCLUDES\@|-I%_includedir/db4|g" svn-config
install -m755 svn-config %buildroot%_bindir

# fix the stupid rpath stuff...
find %buildroot%{perl_vendorarch} -type f -name "*.so" | xargs chrpath -d

# handle translations
%find_lang %name

# fix the server parts
install -d %buildroot%_sysconfdir/xinetd.d
cat > svnserve.xinetd << EOF
# default: off
# description: svnserve is the server part of Subversion.
service svnserve
{
    disable		= yes
    port		= 3690
    socket_type		= stream
    protocol		= tcp
    wait		= no
    user		= svn
    server		= %_bindir/svnserve
    server_args		= -i -r %_localstatedir/svn/repositories
}
EOF
install -m 644 svnserve.xinetd %buildroot%_sysconfdir/xinetd.d/svnserve
install -d %buildroot%{_localstatedir}/svn/repositories

%if %mdkversion >= 1020
%multiarch_binaries %buildroot%_bindir/svn-config
%endif

# cleanup
find %buildroot -name "perllocal.pod" | xargs rm -f

# fix libtool files perms
chmod 644 %buildroot%_libdir/*.la

%clean
rm -rf %buildroot



%changelog
* Thu Jul 13 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-07-13 17:35:34 (41082)
- own %%{_datadir}/subversion-%%{version} directory (#12658)
- improve /etc/services handling (#21442)

* Thu Jul 13 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-07-13 16:05:19 (41077)
- some files are arch dependant, move them to the right place
 (#22251)

* Sat Jun 03 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-06-03 18:12:21 (31909)
- updated neon patch
- make sure we build all repository access libraries

* Sat Jun 03 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-06-03 13:21:48 (31904)
- make it backportable
 - make it use the latest apr and apr-util per default

* Thu Jun 01 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-06-01 15:27:29 (31844)
- updated to version 1.3.2
- added signature file

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Mon May 15 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-15 21:12:22 (27413)
- protect default repository directory (#22287)

* Mon May 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-15 15:05:08 (27384)
- Raise release number to recompile.

* Fri Apr 07 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-04-07 16:19:47 (26378)
- Fixed permission of documentation dir. Thanks to Andreas
- Fixed compilation against neon 0.26 and old swig

* Thu Apr 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-04-06 03:22:33 (26319)
- Missing source

* Thu Apr 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-04-06 03:21:03 (26318)
- New upstream version
- Fixed patch to compile against neon 0.25 or 0.26

* Tue Apr 04 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-04-04 20:30:46 (26276)
- fix for #21793

* Mon Mar 27 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-03-27 21:09:10 (26151)
- built against new neon (0.25.1+, 0.26.0 in cooker contrib)

* Mon Mar 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-06 03:49:26 (1871)
- Close documentation bug http://qa.mandriva.com/show_bug.cgi?id=20317

* Fri Mar 03 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-03 22:53:51 (1855)
- Adopted _sysconfdir/subversion strategy to make password cache disabled by
  default. Requested by Andreas Hasenack
- Small spec cleanup
- Added svnbook release 1.1 ( Creative Commons license )
- Changed path to java compilation ( still disabled buy default )
- Fix java switch option

* Thu Mar 02 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-02 17:46:56 (1838)
- Fixed python bindings. Fix http://qa.mandriva.com/show_bug.cgi?id=20744
  Thanks to Andreas and Bogdano
- Fixed perl bindings install agains new perl 5.8.8. Thanks to Rafael.
- Fixed devel lib requires

* Tue Feb 14 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-02-14 13:34:29 (1732)
- Disabled java compilation, since -compat packages for make gcj usefull are in
  contrib. Thanks to spturtle.
- Add missing requires in devel package. Thanks to Oden

* Mon Jan 02 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-01-02 22:04:01 (1358)
- Fixed spec for final release

* Mon Jan 02 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-01-02 22:00:39 (1357)
- Updated for final release 1.3.0

* Wed Dec 21 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-21 20:21:17 (1328)
- Updated for rc7.
- Remove enable-dso, which leads to a segfault in ix86 archs. Related to bugs:
  http://qa.mandriva.com/show_bug.cgi?id=13725 and
  http://qa.mandriva.com/show_bug.cgi?id=19886

* Mon Dec 19 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-19 19:39:37 (1314)
- Release candidate 6 ( on hold until svn devels decide that this is ready for
  production )
- Small type fix by Olivier Thauvin ( java and ruby switches )
- Small patch to fix perl compilation

* Thu Dec 15 2005 Pixel <pixel@mandriva.com>
+ 2005-12-15 18:05:36 (1302)
- increase release number

* Thu Dec 15 2005 Pixel <pixel@mandriva.com>
+ 2005-12-15 18:01:25 (1301)
- the vc-svn.el bundled in subversion says: "This file no longer lives here, it lives in FSF Emacs."
  better remove it

* Tue Dec 06 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-12-06 11:49:20 (1251)
- Minor typo in patch

* Tue Dec 06 2005 Laurent Montel <lmontel@mandriva.com>
+ 2005-12-06 11:38:00 (1250)
- Fix svn-config+multiarch (patch from Gb thanks)

* Wed Nov 30 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-11-30 14:36:35 (1226)
- Subversion now requires swig >= .27
- Oden patch to match build_perl switch

* Mon Nov 28 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-11-28 14:08:36 (1205)
- On behalf of Guillaume Rousse <guillomovitch@mandriva.org>
- install bash-completion from eponym project
- don't flag bash completion as config
- %%%%mkrel
- spec cleanup
- use standard version for apache module
- fix doc and libtool file perms

* Tue Nov 22 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-11-22 21:07:38 (1191)
- Latest hour rc4 tarball fix for faulty libtool
- Fix for empty changelog (none)

* Tue Nov 22 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-11-22 17:25:53 (1188)
- New upstream release candidate ( rc3 )

* Mon Nov 21 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-11-21 14:34:24 (1180)
- Moved common libraries for a libsvn package.
- Added conflicts against old package

* Wed Nov 09 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-11-09 20:18:56 (1141)
- Swig not play nice with nprocs on compilations

* Mon Nov 07 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-11-07 22:27:11 (1132)
- Release candidate 2 for next version
- Fixed swig .27 bindings compilation proble ( libapr related )
- Removed pt_BR potfile patch ( fixed upstream )

* Tue Oct 04 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-10-04 20:14:32 (985)
- Added debug option
- Added patch to fix segfault on i18n pt_BR translation

* Fri Sep 30 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-09-30 23:28:30 (980)
- Fix perl-SVN name to follow policy

* Mon Sep 26 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-09-26 22:54:19 (939)
- Again trying to make java build on all archs. Add explicit patch on flags was needed since gcc for x86_64 files installations place differs from x86.

* Mon Sep 26 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-09-26 21:52:51 (938)
- Redistribute libraries for right place.
- Added conflicts for server package and obsoletes for libsvn_fs*
  http://qa.mandriva.com/show_bug.cgi?id=18846
- Renabled java package ( hope is right this time )

* Sun Sep 25 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-09-25 00:33:21 (932)
- Disable java until solve problems of jni.h install.

* Sun Sep 25 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-09-25 00:15:07 (931)
- Fix jvm_home placement. gcj still uses lib instead of lib64 on x86_64

* Sat Sep 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-09-24 23:36:06 (930)
- Added missing obsoletes and provides ( thanks to Michael Scherer )
- Reenabled Java package as default
- Fix obsoletes for lib64 on x86_64 archs

* Fri Sep 23 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-09-23 02:56:28 (927)
- Update release to fix changelog

* Thu Sep 22 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-09-22 20:57:13 (926)
- Fix conditional java build

* Thu Sep 22 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-09-22 20:50:36 (925)
- New layout finished. All useless splitted libs are obsoleted in favor of one
  client and one server package. Tools package remains same.
- Bindings for Java reenabled using the native gcc compiler
- Build for python, ruby and perl changed. Python is now in site-packages.
- All apache related stuff goes to package apache-mod_dav_svn.

* Fri Aug 26 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-08-26 14:36:08 (749)
- rebuild and recover changelog which was mistakenly erased in
  the previous package

* Fri Aug 26 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-08-26 00:13:47 (743)
- Compile with -fPIC to fix python binding, see #17246
  (fix by Couriousous <couriousous@mandriva.org>)

* Fri Aug 26 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-08-26 00:10:58 (742)
- fix build on x86_64 (by Thierry Vignaud <tvignaud@mandriva.com>)

* Fri Aug 26 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-08-26 00:06:30 (741)
- reverting Helio's changes: the new layout is not ready yet and
  we need a subversion package with important fixes. Helio, you can
  reapply this later with svn merge.

* Tue Aug 09 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-09 16:44:22 (567)
-  work in progress for new packahe layout

* Wed Jul 06 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-07-06 16:23:34 (316)
- New upstream release 1.2.1
- Still old spec layout and packages. Postergating for next release
- Subversion package updated in subversion repository :-)
- Still depends on libneon 0.24.7

* Tue Jun 07 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-07 15:07:21 (150)
- Fixed hierarchy on subversion

* Tue Jun 06 2005 Helio Chissini de Castro <helio@mandriva.com> 1.2.0-6mdk
- Fix build
- Removed invalid patches
- Removed reconstruction of auto*tools

* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-5mdk
- fix deps

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-4mdk
- rename the apache sub packages (apache2/apache)
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Mon May 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-3mdk
- added the ruby bindings on request by Andre Nathan
- build it against neon 0.25

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdk
- fix deps again...

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0
- fix deps
- make the tests work. works on x86_64 too, nice.

* Sat May 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-2mdk
- added P4 from fedora (x86_64 fixes)
- disable running the tests on x86_64 for now, many tests fails
- fix deps
- rework the --with[out] magic

* Tue Apr 05 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.4-1mdk
- 1.1.4
- drop the swig patch (P2) as it seems implemented upstream

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.3-13mdk
- use the %%mkrel macro

* Fri Mar 18 2005 Michael Scherer <misc@mandrake.org> 1.1.3-12mdk
- enhance summary

* Wed Mar 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.3-11mdk
- fix svn-config, reported by willem boschman
- nuke *.pyc files

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.3-10mdk
- fix %%post and %%postun to prevent double restarts
- fix deps and conditional %%multiarch

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.3-9mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.3-8mdk
- rebuilt against new apr and for apache 2.0.53
- update description

* Mon Feb 07 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.1.3-7mdk
- rebuild for ldap2.2_7

* Fri Feb  4 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.3-6mdk
- rebuilt against new openldap libs

* Wed Feb 02 2005 Michael Scherer <misc@mandrake.org> 1.1.3-5mdk
- fix swig compil ( patch from trunk )

* Fri Jan 21 2005 Michael Scherer <misc@mandrake.org> 1.1.3-4mdk
- reenable python and perl binding, with some voodoo
- add a switch to remove test
- remove the rpath rpmlint warning

* Mon Jan 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.3-3mdk
- added P0,P1 plus some other stuff from fedora
- fix deps

* Mon Jan 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.1.3-2mdk
- Fix directory ownership

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3
- make --with debug work
- added two more build switches, --with swig and --with test, the swig
  bindings is disabled until this is fixed either in swig or in 
  subversion
- added the server sub package, someone asked for it?
- misc spec file fixes

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.2-1mdk
- lib64 fixes

* Wed Dec 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.1-4mdk
- make it build on amd64

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 1.1.1-3mdk
- Rebuild for new python
- fix chrpath stuff

* Wed Nov 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.1.1-2mdk
- nuke redundant provides

* Thu Nov 18 2004 Ben Reser <ben@reser.org> 1.1.1-1mdk
- 1.1.1

* Thu Oct 07 2004 Ben Reser <ben@reser.org> 1.1.0-1mdk
- 1.1.0
- Fix bindings build for changes in 1.1.0
- Add libsvn_fs_base and libsvn_fs_fs packages to allow users
  using the fsfs backend to avoid the bdb dependency.

* Wed Sep 22 2004 Ben Reser <ben@reser.org> 1.0.8-1mdk
- 1.0.8 (security fix for CAN-2004-0749)

* Sat Sep 18 2004 Ben Reser <ben@reser.org> 1.0.7-1mdk
- 1.0.7 
- Built against Berkely DB 4.2.  Users using previous
  packages should dump their repos before installing.

* Tue Jul 20 2004 Ben Reser <ben@reser.org> 1.0.6-1mdk
- 1.0.6 (includes a minor security fix)
- libneon >= 0.24.7 is now needed. 

* Thu Jun 10 2004 Ben Reser <ben@reser.org> 1.0.5-1mdk
- 1.0.5 (security fix for CAN-2004-0413)

* Wed May 19 2004 Ben Reser <ben@reser.org> 1.0.3-1mdk
- 1.0.3 (security fix for CAN-2004-0397)

* Tue Apr 27 2004 Ben Reser <ben@reser.org> 1.0.2-1mdk
- 1.0.2

* Sat Mar 13 2004 Ben Reser <ben@reser.org> 1.0.1-1mdk
- 1.0.1
- Remove the editor config that makes it default to nano.
- cvs2svn is no longer part of subversion and has split off 
  onto its own project at http://cvs2svn.tigris.org/
  I'll package it as soon as it releases something.  Due to
  the fast amount of development it is better to check it out
  of the svn repository now.
- Remove obsolete auth_provider examples.
- Fixup python sh'bang lines on some scripts.

* Fri Feb 20 2004 Ben Reser <ben@reser.org> 1.0.0-1mdk
- 1.0.0
- Cleanup dependencies.
- Fix python bindings to install in the proper place on amd64.
- cvs2svn manpage has been removed from subversion, it was out of date.
- Update library versioning for 1.0 naming.
- Don't install the doc dir for the authz module.
- Conflict lib packages with 0 majors for easier upgrading.
- Conflict with old style naming now.
- Turn off zlib support.  It's not really used and is broken on amd64.
  (Issue #1753 in subversions issue tracker)

* Sat Jan 24 2004 Ben Reser <ben@reser.org> 0.37.0-1mdk
- 0.37.0 (1.0 coming soon woo!)
- XSL_DIR no longer used for building the documentation.
- Fix depedencies on the python packages.
- SWIG 1.3.19 or newer is now required.
- Add a perl-SVN-devel package.
- Perl bindings lib needs chrpath now.
- Drop patch to build against SWIG 1.3.20, integrated
  upstream.

* Tue Jan 13 2004 Ben Reser <ben@reser.org> 0.36.0-1mdk
- 0.36.0
- Drop the ugly hack to work around the DSO issue, it now
  looks for .so.0 files.  That also means .so symlinks
  are now all in the -devel pacakge.
- Patch for building bindings against SWIG 1.3.20 and
  newer

* Fri Dec 19 2003 Ben Reser <ben@reser.org> 0.35.0-0.92.1mdk
- 0.35.0
- Drop perlbindings patch, merged upstream.
- Clean up chrpath from the libraries properly for 0.35.0

* Wed Dec 10 2003 Ben Reser <ben@reser.org> 0.34.0-1mdk
- 0.34.0
- WARNING 0.34.0 MAKES AN INCOMPATABLE CHANGE IN THE SUBVERSION
  DATABASE.  YOU MUST DUMP YOUR REPOSITORIES BEFORE UPGRADING
  AND LOAD THEM AGAIN AFTER.  SEE repops_upgrade_HOWTO FOR
  INSTRUCTIONS.
- General cleanup to make it easier to maintain.
- Rename subversion-python to python-svn to be consistent 
  with the python naming policy.
- Move python libs stuff out of the %{libname}-devel and 
  %{libname}-static-devel packages into their own python
  specific packages.  To avoid pulling python
  in to have the -devel and -static-devel packages
- Work around a bug in the docbook build process that breaks when using
  the docbook style sheets installed outside the build tree.
- split tools into client-tools and repo-tools.
- client-tools now installs the bash_completion, vim syntax hilighting and
  emacs interfaces to their appropriate locations, if the version of the
  distro doesn't already have them.
- perl and python scripts are now installed with the .pl and .py extension
  with symlinks from their names without the extension to allow users
  following along in the book to find them easily.
- No longer ship development tests and other development tools that are
  unlikely to be of any use to anyone using this rpm in the tools packages.
- python binding example scripts move to the python-svn-devel package.
- Remove rcsparse.py it's now included in the subversion source.
- cvs2svn is no longer in the python bindings as it no longer requires them.
  It is now part of the repo-tools package.
- Remove Source5 (repos_upgrade_HOWTO) it's now included in the subversion
  source. 
- Move book and info files to subversion-doc.
- Ditch unnecessary diffutils requirement.
- Rework the split of the package.  It now complies better with the 
  lib policy and doesn't pull in unnecessary files.  This means the 
  the client programs are in the subversion package, client-local 
  moves to libsvn_ra_local0, client-dav moves to libsvn_ra_dav0,
  the svn ra lib is no longer included with the client and moves to
  libsvn_ra_svn0.  libsvn_wc, libsvn_ra and libsvn_client move to
  libsvn_client0.  libsvn_delta, libsvn_diff, and libsvn_subr each
  get their own package as they are required by both client and servers.
  libsvn_repos and libvsn_fs move to libsvn_repos0.  All appropriate
  devel files are in libsubversion0-devel and libsubversion-static-devel.
  However, libsubversion0 no longer exists as an individual package.
  Other clients shoudl require libsubversion-devel to build, as this
  pulls in the appropriate lib packages as well.  Automatic requires
  should handle the libs at runtime.  
- C example programs move to libsubversion0-devel.
- libsvn_ra_* packages provide subversion-ra-method.  Clients should
  require this to ensure they have at least one repository access
  method library.  This makes urpmi subversion very friendly. :)
- move the .so files that aren't being used as dso (non ra method libs)
  into the devel package.
- Fix the provide and require exceptions to work on 64-bit archs.
- drop requirement on subversion-repo from the mod_dav_svn
  apache module package.
- Fix the patch to build the perl modules due to the addition
  of libsvn_diff
- Use %%{_var}/www instead of hard coding /var/www/
- clean out the reudundent %%attr stuff in the %files sections.
- python-svn should own the libsvn and svn dirs under the python 
  libdir.
- whew I think that about covers it.  But I may have forgotten something
  this was a *MAJOR* cleanup of the package.

* Thu Nov 20 2003 Ben Reser <ben@reser.org> 0.33.1-1mdk
- 0.33.1 which fixes a bug causing updates to fetch files
  twice.
- %%make clean now to avoid issues when upstream forgets to do it.
- %%make doc-all-info is needed to get info files built now.  Looks
  like they may have been already built in the old distribution packages.
- Look to see if the info pages are split and only install the split sections
  if they are.

* Fri Nov 14 2003 Ben Reser <ben@reser.org> 0.33.0-1mdk
- 0.33.0
- Require apache2-devel >= 2.0.48 since subversion requires
  it now.

* Thu Oct 30 2003 Ben Reser <ben@reser.org> 0.32.1-2mdk
- bump rev to get everything uploaded now that klama is working
  (I hope)

* Thu Oct 23 2003 Ben Reser <ben@reser.org> 0.32.1-1mdk
- 0.32.1
- build perl bindings and ship them in perl-SVN
- require neon 0.24.0 or newer as subversion requires it now.
- macro to autodetect perl man page destination for easy rebuilds
  on older distro revs.
- compatability svnadmin-0.27 is history.

* Tue Sep 09 2003 Ben Reser <ben@reser.org> 0.29.0-2mdk
- Fix the apache modules.  There was a bad provides on the
  mod_dav_svn and a requires for the wrong version on
  mod_authz_svn.
- More changes in the buildrequires, it should build 
  straight out of the SRPM if the build dependencies
  are fulfilled on older distros (some of which will
  have to be built on the older distros to get)
- BuildReq ADVX-build >= 1.2

* Sun Sep 07 2003 Ben Reser <ben@reser.org> 0.29.0-1mdk
- 0.29.0
- Remove versioned requires on db4-devel and ADVX-build and libdb4.1,
  this should make it easier to build on older releases, and since
  the client has to stay within a release of the server it'll need
  to be built on older rleeases.
- Make the 0.27 svnadmin build against the included libneon.
  It won't matter really since svnadmin isn't linked against
  libneon anyway, but it ensures that it will always build properly.
- macroize path to rcsparse.py
- Really fix the perms on the tools sub-package.
- merge the ldconfig and install_info scripts
- Fix rpath on svnadmin-0.27
- Install the infopages since the Makefile is broken and won't
- Add the apache2-%{mod_authz_name} package
- Remove explicit requires on libneon libdb python and swig,
  rpm will automatically require them via libs.
- Don't build require libneon0.24-devel but rather neon-devel.
- macroize

* Thu Sep 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28.1-2mdk
- activate ugly fix to close #5258
- fix buildrequires
- for some reason those *.info files won't install, skip it for now
  as I have no time fixing it...

* Tue Sep 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28.1-1mdk
- 0.28.1
- close #5195

* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28-2mdk
- put development files in place and deactivate ugly fix, it seems 
  to work...

* Thu Aug 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.28-1mdk
- 0.28
- rebuilt against latest buildrequires
- use _provides_exceptions and _requires_exceptions magic until
  i find a better way

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.25-3mdk
- really rebuild against new python
- drop major numbers from some buildrequires
- drop redundant requires, rpm will figure it out by itself
- use %%makeinstall_std macro

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.25-2mdk
- rebuilt against new python

* Mon Jul 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.25-1mdk
- 0.25
- rebuilt against latest apache2, requires and buildrequires
- added spec file changes by Joseph Wang
- added python spec file magic from the tmda spec file
- fixed S1
- fix requires

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.0-2mdk
- rebuilt for apache v2.0.46
- rebuilt against new libneon
- buildprereq ADVX-build >= 9.2
- misc spec file fixes

* Sun May 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.23.0-1mdk
- 0.23.0
- drop P0, it's included upstream
- misc spec file fixes

* Tue May 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.21.0-2mdk
- fix BuildPreReq and fix file permissions on the tools 
  subpackage as pointed out by Andrey Borzenkov

* Mon Apr 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.21.0-1mdk
- 0.21.0
- enable python bindings since we now have the required swig v1.3.16
- drop P1, use spec file magic instead
- drop P2
- added the html docs into the apache2-%{mod_dav_name} package
- broke out the tools into a new sub package
- trying my best to make mr. rpmlint shut up...
- a lot of spec file changes..., see the changelog list or in CVS for more info

* Tue Apr  8 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.18.1-0.r5118.2mdk
- rebuild only with libdb4.0, not libdb3.3

* Tue Mar 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.18.1-0.r5118.1mdk
- 0.18.1
- use the %%mklibname macro
- rebuilt against latest buildrequires
- make rpmlint a little happier...

* Sat Feb 22 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.17.1-0.r4503.2mdk
- fix requires (libdb4.0, not db4)

* Sat Feb 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.17.1-0.r4503.1mdk
- 0.17.1
- added fixes by Oliver Lemke <olemke@core-dump.net>, thanks man!
- rediffed P0

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.6mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.5mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.4mdk
- da capo

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.3mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.2mdk
- it's much easier to upload when increasing the release number ;)
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Fri Dec 06 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-0.r3987.1mdk
- new version
- misc spec file fixes

* Sun Nov 10 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.15-0.r3687.1mdk
- new version
- added P2 by Robert Schiele

* Sat Nov 09 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.4mdk
- enable build with debugging code, used ideas from Han Boetes and his
  fluxbox package, but the RedHat way. rpm --rebuild --with debug 
  subversion-0.14.5-0.r3578.4mdk.src.rpm will _not_ strip away any debugging code,
  will _add_ -g3 to CFLAGS, will _add_ --enable-maintainer-mode to 
  configure.

* Wed Nov 06 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.3mdk
- fix this broken package by totally ignoring Mr. Lint for now

* Tue Nov 05 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.2mdk
- added the client-local and client-dav subpackages to conform more to 
  the provided rpm spec file (and their descriptions)
- misc spec file fixes

* Fri Nov 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.14.5-0.r3578.1mdk
- used parts of the spec file by David Summers and parts of the
  provided spec file by Michael Ballbach 
- cannot build the python and swig stuff until we have swig v1.3.16
- libifiction
- initial cooker contrib (first attempt to build this beast...)





